Skip to main content

Create Lead Appointment: Entrata

POSThttps://api.propexo.com/v1/events/appointments/leads/entrata/

Create an appointment for a lead in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the appointment time in the browser.

Method
leads/updateLeads
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstring

    The Propexo unique identifier for the unit

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesintegerrequired

    The duration of the appointment, in minutes

    Possible values: > 0

    appointment_typestringrequired

    The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available

    Show 4 enum values
    LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOUR
    notesstringrequired

    Notes associated with the event

    Possible values: non-empty

    titlestring

    The title associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    appointment_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesintegerrequired

    The duration of the appointment, in minutes

    Possible values: > 0

    appointment_typestringrequired

    The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available

    Show 4 enum values
    LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOUR
    notesstringrequired

    Notes associated with the event

    Possible values: non-empty

    titlestring | nullnullablerequired

    The title associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/leads/entrata/
curl -X POST https://api.propexo.com/v1/events/appointments/leads/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"appointment_type": "LEASING_APPOINTMENT",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"unit_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"appointment_type": "LEASING_APPOINTMENT",
"notes": "string",
"title": "string"
}
}